
Dashboard - Bug #39297

Bug # 39294 (New): mgr/dashboard: Time handling

mgr/dashboard: Logs provided by the API should provide timestamps in UTC in ISO 8601 format that

will be converted into local time by Angular

04/15/2019 03:40 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Kanika Murarka   

Category: UX   

Target version: v15.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 27777

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Log timestamps will provide the local server time instead UTC time

History

#1 - 04/16/2019 09:00 AM - Lenz Grimmer

- Assignee set to Kanika Murarka

- Target version set to v15.0.0

- Backport set to nautilus

#2 - 04/25/2019 06:31 AM - Stephan Müller

- Subject changed from mgr/dashboard: Logs provided by the API should provide timestamps in UTC that will be converted into local time by Angular

to mgr/dashboard: Logs provided by the API should provide timestamps in UTC in ISO 8601 format that will be converted into local time by Angular

#3 - 04/25/2019 06:35 AM - Stephan Müller

Kanika regarding your question on IRC the best place to fix that is the ceph log module.

#4 - 04/25/2019 11:13 AM - Kanika Murarka

@Stephan, Thanks

#5 - 04/25/2019 11:14 AM - Kanika Murarka

- Pull request ID set to 27777

Backend PR: https://github.com/ceph/ceph/pull/27799

Frontend PR: https://github.com/ceph/ceph/pull/27777

#6 - 04/25/2019 11:17 AM - Kanika Murarka

- Status changed from New to Fix Under Review

#7 - 05/10/2019 01:45 PM - Lenz Grimmer

Note that the backend-related changes are likely not being backported to Nautilus, as they break existing APIs. If we want to fix this issue in Nautilus,
we would have to find a way within the dashboard code to address this.

#8 - 07/12/2019 04:22 PM - Lenz Grimmer

- Status changed from Fix Under Review to Resolved

- Backport deleted (nautilus)
